# Class MoneyAbAttr

Gives money to the user after the battle.

#### See

`applyPostBattle`

#### Hierarchy (view full)

- PostBattleAbAttr
  - MoneyAbAttr

- Defined in src/data/ability.ts:3364

#####
Index

### Constructors

constructor

### Properties

showAbility

### Methods

addCondition
apply
applyPostBattle
getCondition
getTriggerMessage

## Constructors

### constructor

- new MoneyAbAttr(): MoneyAbAttr

- #### Returns MoneyAbAttr

  Overrides PostBattleAbAttr.constructor

  - Defined in src/data/ability.ts:3365

## Properties

### showAbility

showAbility: boolean

Inherited from PostBattleAbAttr.showAbility

- Defined in src/data/ability.ts:126

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PostBattleAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PostBattleAbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPostBattle

- applyPostBattle(pokemon, passive, args): boolean

- #### Parameters

  - pokemon: default

    `Pokemon` that is the user of this ability.

  - passive: boolean

    N/A

  - args: any[]

    N/A

  #### Returns boolean

  true

  Overrides PostBattleAbAttr.applyPostBattle

  - Defined in src/data/ability.ts:3375

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from PostBattleAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from PostBattleAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137